com.sun.jna.platform.win32

## Class WinCrypt.CERT_TRUST_STATUS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_TRUST_STATUS

Direct Known Subclasses:
  WinCrypt.CERT_TRUST_STATUS.ByReference

Enclosing interface:
  WinCrypt

    @Structure.FieldOrder(value={"dwErrorStatus","dwInfoStatus"})
    public static class WinCrypt.CERT_TRUST_STATUS
    extends Structure

The CERT_TRUST_STATUS structure contains trust information about a certificate in a certificate chain, summary trust information about a simple chain of certificates, or summary information about an array of simple chains.

See Also:
  MSDN

### Nested Class Summary

Nested Classes
`static class` `WinCrypt.CERT_TRUST_STATUS.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `dwErrorStatus`
`int` `dwInfoStatus`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CERT_TRUST_STATUS()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwErrorStatus

    public int dwErrorStatus

#### dwInfoStatus

    public int dwInfoStatus

### Constructor Detail

#### CERT_TRUST_STATUS

    public CERT_TRUST_STATUS()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.